%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define apache_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define apache_user apache
%endif
Summary: A widget for displaying performance data
Name: monitor-widget-hostperf
Version: 1.1.1
Release: op5.1
Group: op5/monitor
License: op5 Software License
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
BuildRoot: %{_tmppath}/%name-%version
BuildArch: noarch
Requires: monitor-ninja >= 2.0.0
%if 0%{?suse_version}
# SLES-specific stuff
Requires: php53-mbstring
%else
# Common RHEL stuff
Requires: php-mbstring
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
%name is a Ninja widget designed to display performance data.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/application/widgets/tac_hostperf
for c in *.php js css; do
	cp -a $c %buildroot%prefix/application/widgets/tac_hostperf
done

%post
$(php %prefix/index.php cli/save_widget --page 'tac/index' --name tac_hostperf --friendly_name "Host performance" &>/dev/null)
if [ $? -ne 0 ]; then
	echo "WARNING: couldn't install widget into merlin database."
	echo "If Oracle database is to be used this is ok."
	echo "If MySQL database is to be used you need to maually"
	echo "setup the merlin database to complete the setup of %name"
fi

%postun
if test $1 -eq 0; then
	# Verify that mysql-server is installed and running before executing sql scripts
	$(mysql -Be "quit" 2>/dev/null)
	if [ $? -eq 0 ]; then
		mysql merlin -Be "DELETE FROM ninja_widgets WHERE name = 'tac_hostperf'"
	else
		echo "WARNING: mysql-server is not installed or not running."
		echo "You need to manually remove %name"
		echo "from the merlin database"
	fi
fi

%files
%defattr(644, %daemon_user, %daemon_group, 755)
%prefix/application/widgets/tac_hostperf

%clean
rm -rf %buildroot
